Package org.springframework.cloud.task.configuration

# Class TaskProperties

java.lang.Object
org.springframework.cloud.task.configuration.TaskProperties

@ConfigurationProperties(prefix="spring.cloud.task") public class TaskProperties extends Object
Properties available to configure the task.

Author:
  Glenn Renfro, David Turanski

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TABLE_PREFIX`
  Default table prefix for Spring Cloud Task tables.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getClosecontextEnabled()`
  `Long`
  `getExecutionid()`
  `String`
  `getExternalExecutionId()`
  `Long`
  `getParentExecutionId()`
  `boolean`
  `getSingleInstanceEnabled()`
  `int`
  `getSingleInstanceLockCheckInterval()`
  `int`
  `getSingleInstanceLockTtl()`
  `String`
  `getTablePrefix()`
  `Boolean`
  `isInitializeEnabled()`
  `void`
  `setClosecontextEnabled(Boolean closecontextEnabled)`
  `void`
  `setExecutionid(Long executionid)`
  `void`
  `setExternalExecutionId(String externalExecutionId)`
  `void`
  `setInitializeEnabled(Boolean initializeEnabled)`
  `void`
  `setParentExecutionId(Long parentExecutionId)`
  `void`
  `setSingleInstanceEnabled(boolean singleInstanceEnabled)`
  `void`
  `setSingleInstanceLockCheckInterval(int singleInstanceLockCheckInterval)`
  `void`
  `setSingleInstanceLockTtl(int singleInstanceLockTtl)`
  `void`
  `setTablePrefix(String tablePrefix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_TABLE_PREFIX

    public static final String DEFAULT_TABLE_PREFIX
    Default table prefix for Spring Cloud Task tables.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskProperties

    public TaskProperties()

- ## Method Details

  - ### getExternalExecutionId

    public String getExternalExecutionId()

  - ### setExternalExecutionId

    public void setExternalExecutionId(String externalExecutionId)

  - ### getExecutionid

    public Long getExecutionid()

  - ### setExecutionid

    public void setExecutionid(Long executionid)

  - ### getClosecontextEnabled

    public Boolean getClosecontextEnabled()

  - ### setClosecontextEnabled

    public void setClosecontextEnabled(Boolean closecontextEnabled)

  - ### getTablePrefix

    public String getTablePrefix()

  - ### setTablePrefix

    public void setTablePrefix(String tablePrefix)

  - ### getParentExecutionId

    public Long getParentExecutionId()

  - ### setParentExecutionId

    public void setParentExecutionId(Long parentExecutionId)

  - ### getSingleInstanceEnabled

    public boolean getSingleInstanceEnabled()

  - ### setSingleInstanceEnabled

    public void setSingleInstanceEnabled(boolean singleInstanceEnabled)

  - ### getSingleInstanceLockTtl

    public int getSingleInstanceLockTtl()

  - ### setSingleInstanceLockTtl

    public void setSingleInstanceLockTtl(int singleInstanceLockTtl)

  - ### getSingleInstanceLockCheckInterval

    public int getSingleInstanceLockCheckInterval()

  - ### setSingleInstanceLockCheckInterval

    public void setSingleInstanceLockCheckInterval(int singleInstanceLockCheckInterval)

  - ### isInitializeEnabled

    public Boolean isInitializeEnabled()

  - ### setInitializeEnabled

    public void setInitializeEnabled(Boolean initializeEnabled)